﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using System.Threading;
//using QtsHttp.FileStationNasSystem.Interface;
//using QtsHttp.FileStation.Params;


namespace PhoneApp1_7._5_Sample
{
    public partial class Page1 : PhoneApplicationPage
    {
        App app = Application.Current as App;
        List<string> myList = new List<string>();
        public Page1()
        {
            InitializeComponent();

            MyListBox.ItemsSource = myList;
            myList.Add("Download");
            myList.Add("Upload");
            //myList.Add("Get File List");
        }

        private void OnSelectionChanged(object sender, SelectionChangedEventArgs e)
        {           
            ListBox source = (ListBox)sender;

            if (source.SelectedIndex == -1) // prevent execute this function twice at the same time
                return;

            if (source.SelectedItem.ToString() == "Download")
            {
                NavigationService.Navigate(new Uri("/Page_Download.xaml", UriKind.RelativeOrAbsolute));
            }

            if (source.SelectedItem.ToString() == "Upload")
            {
                NavigationService.Navigate(new Uri("/Page_Upload.xaml", UriKind.RelativeOrAbsolute));
            }

            if (source.SelectedItem.ToString() == "Get File List")
            {
                NavigationService.Navigate(new Uri("/Page_FileList.xaml", UriKind.RelativeOrAbsolute));
            }

            source.SelectedIndex = -1;
            
            return;
        }

        protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs e)
        {
            if (app.gFSObj == null)
            {
                MessageBox.Show("File Station Login Failed!");
                return;
            }
            base.OnNavigatedTo(e);
        }

        protected override void OnNavigatedFrom(System.Windows.Navigation.NavigationEventArgs e)
        {
            App app = Application.Current as App;
            base.OnNavigatedFrom(e);
        }
    }
}