﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using System.Collections.ObjectModel;
using System.IO.IsolatedStorage;

namespace PhoneApp1_7._5_Sample
{
    public partial class Page_ShowLocalFile : PhoneApplicationPage
    {
        App app = Application.Current as App;
        ObservableCollection<string> collection = new ObservableCollection<string>();

        public Page_ShowLocalFile()
        {
            this.Loaded += Page_Download_Result_Loaded;
            InitializeComponent();
        }

        void Page_Download_Result_Loaded(object sender, RoutedEventArgs e)
        {
            collection.Clear();
            IsolatedStorageFile isoFile;
            isoFile = IsolatedStorageFile.GetUserStoreForApplication();
            string[] isolatedFileName = isoFile.GetFileNames("Shared\\*");
            if (isolatedFileName.Length > 0)
            {
                for (int i = 0; i < isolatedFileName.Length; i++)
                {
                    collection.Add(isolatedFileName[i]);
                }
            }
            IsoStorageListBox.ItemsSource = collection;
        }


        protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs e)
        {
            if (app.gFSObj == null)
            {
                MessageBox.Show("File Station Login Failed!");
                return;
            }
            base.OnNavigatedTo(e);
        }

    }
}